--=============================================================================
-- File:		DKP_System_Auc.lua
-- Author:	Sammysnake of Ner'Zhul	 2004, 2005 Syndicate Systems
-- Description:	Auction Functions for the DKP_System Addon
--=============================================================================

-- Declard color codes for console messages
local RED     = "|cffff0000";
local GREEN   = "|cff00ff00";
local BLUE    = "|cff0000ff";
local MAGENTA = "|cffff00ff";
local YELLOW  = "|cffffff00";
local CYAN    = "|cff00ffff";
local WHITE   = "|cffffffff";

function DKP_System_Auction_Toggle ()
					
			local currentAuctionItem = UIDropDownMenu_GetSelectedID(DKPSystem_GUI_ItemSelectDropDown);					
					
			if (AuctionEnabled == true) then
					AuctionEnabled = false;
					DEFAULT_CHAT_FRAME:AddMessage(RED.. "DKP_System: ".. WHITE .. "Auction ended for ".. ITEMS_DROPDOWN_LIST[currentAuctionItem].name);
					SendChatMessage("DKP_System: Auction has end for ".. ITEMS_DROPDOWN_LIST[currentAuctionItem].linktext , DKP_ROLL_Config.Announce_type );
					
					AuctionToggleButton:SetText("Start Auction");					
			else
					AuctionEnabled = true;					
					
					DEFAULT_CHAT_FRAME:AddMessage(RED.. "DKP_System: ".. WHITE .. "Auction starting for ".. ITEMS_DROPDOWN_LIST[currentAuctionItem].name);
					SendChatMessage("DKP_System: Auction has started for ".. ITEMS_DROPDOWN_LIST[currentAuctionItem].linktext , DKP_ROLL_Config.Announce_type );
										
					AuctionList = {};
					Display_Bidders("GUI");					
					AuctionToggleButton:SetText("End Auction");
			end	
			
end			